Enemy = Object:extend()

function Enemy:new(x,y,width,height)
	self.x = x
	self.y = y
	self.width = width
	self.height = height
	self.speed = 100
end

function Enemy:update(dt)
	local enemyFilter = function(item, other)
  		if other.name == "enemy_bump_point" or other.name == "plat" then 
  			return 'bounce'
  		elseif other.name == "player" then
  			return 'cross'
  		else
  			return nil
 		-- elseif other.isWall   then return 'slide'
  		-- 	elseif other.isExit   then return 'touch'
  		-- 	elseif other.isSpring then return 'bounce'
  		end
  		-- else return nil
	end

	local goalX, goalY = self.x + self.speed*dt, self.y
  	local actualX, actualY, cols, len = world:move(self, goalX, goalY,enemyFilter)
  	self.x, self.y = actualX, actualY
 	for i=1,#cols do
    	if cols[i].other.name == "enemy_bump_point" or cols[i].other.name == "plat" then	
    		self.speed = -self.speed
    	end

    	if cols[i].other.name == "player" then
  			-- if touch point is at top of enemy
  			local x,y,w,h = world:getRect(cols[i].item)
  			if cols[i].touch.y == y - h then
  				--
  			else
				print ("DEAD")
				--love.event.quit()
			end
  		end
 	end
end

function Enemy:draw()
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("fill", self.x, self.y, self.width, self.height)
	love.graphics.setColor(255,255,255)
end
