
globalWidth = love.graphics.getWidth()
globalHeight = love.graphics.getHeight()

globalGameTime = 0

function love.load()
	love.graphics.setBackgroundColor(0,0,0)
	love.graphics.setDefaultFilter("nearest", "nearest") 

	Object = require "libraries.classic"
	flux = require "libraries.flux"
	require "game.game"
	
	require "game.platform"
	require "game.character"
	require "game.camera"
	require "game.enemy"
	require "game.boxes"
	game = Game()

end


function love.update(dt)
	globalGameTime = globalGameTime + dt
	game:update(dt)
	flux.update(dt)
end

function love.draw()
	game:draw()
end
